> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Transactions

> This endpoint will return all onramp transactions for the integrator.

Get all onramp transactions for your integrator account with pagination and filtering support.


## OpenAPI

````yaml GET /api/v3/onramp/transactions
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/onramp/transactions:
    get:
      tags:
        - ONRAMP
      summary: Get Integrator Onramp Transactions
      description: This endpoint will return all onramp transactions for the integrator.
      operationId: OnrampController_getIntegratorOnramps_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Onramp transactions retrieved
                  data:
                    type: array
                    items: 22ca97f7-e10a-4c83-ba93-b9991687392d
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````